
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>Bokeh Plot</title>
        
<link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-0.12.6.min.css" type="text/css" />
        
<script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-0.12.6.min.js"></script>
<script type="text/javascript">
    Bokeh.set_log_level("info");
</script>
        <style>
          html {
            width: 100%;
            height: 100%;
          }
          body {
            width: 90%;
            height: 100%;
            margin: auto;
          }
        </style>
    </head>
    <body>
        
        <div class="bk-root">
            <div class="bk-plotdiv" id="57ecf587-d3c8-4aa0-b7e2-29fbd962b754"></div>
        </div>
        
        <script type="text/javascript">
            (function() {
          var fn = function() {
            Bokeh.safely(function() {
              var docs_json = {"8a7cedf6-0603-4bbf-a052-431d498a1410":{"roots":{"references":[{"attributes":{"formatter":{"id":"27535891-96db-4c3c-bbf7-03405c4005ae","type":"BasicTickFormatter"},"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca845cde-c1c4-432d-9ebf-27c5119b9b91","type":"BasicTicker"}},"id":"fbd7900b-0e66-4617-bed2-ff5cb9168b5b","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d29c245f-b403-4a6a-9d6c-079e39464e54","type":"Line"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e5ab6c9-fd96-4c3b-92f6-5b6d4c60b5df","type":"BasicTicker"}},"id":"0bf43336-08c2-4c71-a608-2ff8a74b0cf2","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1342328a-8afb-4e69-bf41-04c18d9c2a12","type":"PanTool"},{"id":"339adfeb-bc9b-41ee-8ecf-f18cefb2e67d","type":"WheelZoomTool"},{"id":"1795611b-3b9b-440c-a3f1-504ed034ae23","type":"BoxZoomTool"},{"id":"407e3f20-674c-4cf8-ba2c-592c80f7d486","type":"SaveTool"},{"id":"30ffbd3e-4b4c-4240-a5c1-35b51058701a","type":"ResetTool"},{"id":"3e2ceb16-cfdf-4a52-9dae-8334b3cd5668","type":"HelpTool"}]},"id":"5222decf-ae3e-4211-8d10-caa4e603cdcd","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"6313f99b-c76b-4f7d-ab82-5a2093cceb11","type":"Title"},{"attributes":{"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"539452c5-2330-4ec3-b89b-0b5fdf578676","type":"Line"},{"attributes":{"below":[{"id":"b1c2b78b-4377-4660-a878-3ed8b7fe2ac3","type":"LinearAxis"}],"left":[{"id":"9d5bd6db-09bc-4e3a-9401-ea0cecc03181","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"b1c2b78b-4377-4660-a878-3ed8b7fe2ac3","type":"LinearAxis"},{"id":"d9937cfc-f5b7-4851-96a8-260b5ab57d8b","type":"Grid"},{"id":"9d5bd6db-09bc-4e3a-9401-ea0cecc03181","type":"LinearAxis"},{"id":"ecdf4eac-76ad-43db-b532-b086619f4382","type":"Grid"},{"id":"a46b032b-46f3-4c2f-8879-304ccf616dcd","type":"BoxAnnotation"},{"id":"b5eecfe1-df32-46de-a50d-fc61b40b56d5","type":"GlyphRenderer"},{"id":"7e190424-7633-40ed-86a1-b0bec20a4111","type":"GlyphRenderer"}],"title":{"id":"704aee62-82f0-4fdd-b31a-cfa79645e849","type":"Title"},"tool_events":{"id":"b2515151-2187-4dbb-88d4-58b186df1350","type":"ToolEvents"},"toolbar":{"id":"0d97bfe6-5b4d-4f21-845b-c83981fcb9ff","type":"Toolbar"},"x_range":{"id":"a7242e16-a652-4182-bfbc-41ed8daddec2","type":"DataRange1d"},"x_scale":{"id":"1289788b-033d-4fe1-8000-b6eb2c10eec0","type":"LinearScale"},"y_range":{"id":"ab708cef-d112-48aa-9337-9f4a867e4b34","type":"DataRange1d"},"y_scale":{"id":"ed1dae60-3b1e-46b1-b53e-b53f4ba37790","type":"LinearScale"}},"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"},{"attributes":{"line_color":{"value":"violet"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0a7411cc-58d4-4db8-a6c5-32010b33e74f","type":"Line"},{"attributes":{},"id":"ca845cde-c1c4-432d-9ebf-27c5119b9b91","type":"BasicTicker"},{"attributes":{"formatter":{"id":"3b4bad63-caf1-40a6-b482-96609beb3bbd","type":"BasicTickFormatter"},"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e5ab6c9-fd96-4c3b-92f6-5b6d4c60b5df","type":"BasicTicker"}},"id":"a46d14dd-8205-4a83-a3c1-561e05ce0061","type":"LinearAxis"},{"attributes":{"data_source":{"id":"01c50726-b9ec-4945-a708-fef604be99d9","type":"ColumnDataSource"},"glyph":{"id":"8d05a580-3615-43be-8073-15f20711ee69","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9f417881-8673-49ff-aa63-9875edbba79b","type":"Line"},"selection_glyph":null},"id":"c79f4aec-06e1-4fac-a145-797a1df83562","type":"GlyphRenderer"},{"attributes":{},"id":"3b4bad63-caf1-40a6-b482-96609beb3bbd","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"f79455f6-9cc6-42af-8574-8c98e5e037ff","type":"ResetTool"},{"attributes":{"line_color":{"value":"pink"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"05032e0f-4724-4f5a-b93f-983de96354b0","type":"Line"},{"attributes":{},"id":"a3801b41-8638-410d-90a4-ff5262e7c961","type":"ToolEvents"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"840e485a-3b71-4d11-85b4-3589e5f12813","type":"HelpTool"},{"attributes":{"data_source":{"id":"b274f847-1f46-422c-9216-5862329c980d","type":"ColumnDataSource"},"glyph":{"id":"539452c5-2330-4ec3-b89b-0b5fdf578676","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e592e5b1-0a77-4c93-a07e-2a9058c447b0","type":"Line"},"selection_glyph":null},"id":"6f203c7c-2730-4cbd-9c88-caaa674e7fe9","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"673961da-db76-41c4-afc4-c7d26731b8cd","type":"WheelZoomTool"},{"attributes":{},"id":"f5faf342-5dc6-4952-9c8e-8be42714575a","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca845cde-c1c4-432d-9ebf-27c5119b9b91","type":"BasicTicker"}},"id":"742d72bb-8357-4b82-9e23-5d50888166b0","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4ae79289-c00d-48aa-93ba-29d261892629","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"ilHDXxHx5ED8eEuzEvHkQIwwgHrs8eRAwSzuhO7x5EANlR2mrPLkQLdKiXKu8uRAdqN7fu/y5EBlnSvP8PLkQOUByfqM8+RAyFuag47z5EB7H28pkPPkQA==","dtype":"float64","shape":[11]},"y":{"__ndarray__":"IiIiIiIiPUAREREREVE8QFVVVVVV9UFAzczMzMxMO0CamZmZmRk9QDMzMzMzs0FA7+7u7u4OQUDv7u7u7q45QGZmZmZmxkBAIiIiIiIiS0CJiIiIiMhCQA==","dtype":"float64","shape":[11]}}},"id":"b274f847-1f46-422c-9216-5862329c980d","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"3f76e5f2-19ec-4837-8ca6-0727ddd267a7","type":"SaveTool"},{"attributes":{"data_source":{"id":"5e27c311-4af1-4acd-a57f-1ac5c3acc1b7","type":"ColumnDataSource"},"glyph":{"id":"2197b7d7-4f70-4410-8771-614479d94341","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d29c245f-b403-4a6a-9d6c-079e39464e54","type":"Line"},"selection_glyph":null},"id":"ceccf8e8-cc56-4db1-9ecc-dfc0956162b6","type":"GlyphRenderer"},{"attributes":{},"id":"27535891-96db-4c3c-bbf7-03405c4005ae","type":"BasicTickFormatter"},{"attributes":{},"id":"2c132ba3-e072-4438-bd00-c7c80098451d","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"b49e2369-0e1e-4b8c-9ea3-17fba955c7d9","type":"PanTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1002100037,1002100044,1002100118,1002100125,1002110028,1002110037,1002110038,1002110141,1002110157,1002110158,1002140019,1002140025,1002140057,1002140072],"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"c302baa7-e465-4d33-9e12-d8b700cbf393","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"4ae79289-c00d-48aa-93ba-29d261892629","type":"BoxAnnotation"},"plot":{"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"}},"id":"316df67d-0ddd-4d81-8440-802b2aa963a3","type":"BoxZoomTool"},{"attributes":{"line_color":{"value":"yellow"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e7e737ae-0c5c-40e7-81a8-3f2dd48fccc4","type":"Line"},{"attributes":{"below":[{"id":"2cc7be7a-d917-41e1-a456-ea2250740079","type":"LinearAxis"}],"left":[{"id":"34ca41ab-b56a-4eca-9418-f20fb3d1bc67","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"2cc7be7a-d917-41e1-a456-ea2250740079","type":"LinearAxis"},{"id":"4d4d8500-2e28-46da-81c7-1348ce75169b","type":"Grid"},{"id":"34ca41ab-b56a-4eca-9418-f20fb3d1bc67","type":"LinearAxis"},{"id":"acd17049-6c40-4349-aaaf-d271aeaa04aa","type":"Grid"},{"id":"9878c020-7035-4ed4-8e06-7f4845c66227","type":"BoxAnnotation"},{"id":"c79f4aec-06e1-4fac-a145-797a1df83562","type":"GlyphRenderer"},{"id":"b7d7e267-4ddd-49e2-ab10-94186ac63e00","type":"GlyphRenderer"}],"title":{"id":"be982293-ee83-4447-a4b0-ac733e4bbeb9","type":"Title"},"tool_events":{"id":"bbf74870-770a-4714-86ab-18bee18ff428","type":"ToolEvents"},"toolbar":{"id":"2066cc18-e1ac-4dbf-b440-9e76386e7c53","type":"Toolbar"},"x_range":{"id":"011a2b63-01b0-429d-b853-f217f2bfca41","type":"DataRange1d"},"x_scale":{"id":"79dbbf88-9020-461b-8c32-5e8409514864","type":"LinearScale"},"y_range":{"id":"80cd310b-02d0-43bf-b5e4-cd3187bdcbf1","type":"DataRange1d"},"y_scale":{"id":"5af39961-1091-4129-b24c-feb1032a873d","type":"LinearScale"}},"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"5c25160b-5647-4caf-93da-e7bb56332136","type":"ColumnDataSource"},"glyph":{"id":"0a7411cc-58d4-4db8-a6c5-32010b33e74f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0b8339c9-a2da-42d4-88c1-6a88704aae63","type":"Line"},"selection_glyph":null},"id":"ede399f3-92ee-4bd1-a6ea-da0b44eeeaa6","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"9c488037-a679-4b94-bb48-818318268c3b","type":"ResetTool"},{"attributes":{},"id":"8e5ab6c9-fd96-4c3b-92f6-5b6d4c60b5df","type":"BasicTicker"},{"attributes":{"data_source":{"id":"c302baa7-e465-4d33-9e12-d8b700cbf393","type":"ColumnDataSource"},"glyph":{"id":"e8dacabc-149c-4242-83ce-cc62e0e8193c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4882839d-8fa8-4324-bf97-4023122f5806","type":"Line"},"selection_glyph":null},"id":"453fbc25-0292-406c-89a2-84beecb73f0d","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"90f71951-9bb8-4172-8ea5-8953d516b12c","type":"PanTool"},{"id":"4bff0264-e398-40ef-93de-a9749b0f22f4","type":"WheelZoomTool"},{"id":"aaa148f4-0fa3-4488-ac0c-7455e6c70541","type":"BoxZoomTool"},{"id":"9e78ae33-4296-43e2-8206-38a03f4332be","type":"SaveTool"},{"id":"0302cdfc-d97e-4302-a642-227f4324e007","type":"ResetTool"},{"id":"ef3f7d35-8fef-4df0-af24-747194c50ca3","type":"HelpTool"}]},"id":"2066cc18-e1ac-4dbf-b440-9e76386e7c53","type":"Toolbar"},{"attributes":{"callback":null},"id":"011a2b63-01b0-429d-b853-f217f2bfca41","type":"DataRange1d"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"4809c47d-2ac3-41bb-96dc-6be8889ca843","type":"SaveTool"},{"attributes":{"callback":null},"id":"246252e3-a292-4294-98fd-e6518c5f1093","type":"DataRange1d"},{"attributes":{"data_source":{"id":"394170eb-e47d-4c00-af4d-70b6a4e21d13","type":"ColumnDataSource"},"glyph":{"id":"e7e737ae-0c5c-40e7-81a8-3f2dd48fccc4","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e04aba0-5210-49e0-9e9b-ba4467a60c04","type":"Line"},"selection_glyph":null},"id":"34d683f9-5821-4cd1-a413-9c896e27f787","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"be982293-ee83-4447-a4b0-ac733e4bbeb9","type":"Title"},{"attributes":{"data_source":{"id":"8c0306c0-9653-4650-8ae2-90dc5e4496fa","type":"ColumnDataSource"},"glyph":{"id":"05032e0f-4724-4f5a-b93f-983de96354b0","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd0f3e51-fa23-4b84-8249-0aac6598deb9","type":"Line"},"selection_glyph":null},"id":"97cb6c28-c626-4e39-bede-3fc7c79dd79c","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"silver"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2197b7d7-4f70-4410-8771-614479d94341","type":"Line"},{"attributes":{},"id":"981e5f37-c7c5-418c-aa1e-e93ea887de32","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d89a62e1-0a05-4976-82ff-aa28de95a756","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e592e5b1-0a77-4c93-a07e-2a9058c447b0","type":"Line"},{"attributes":{},"id":"bbf74870-770a-4714-86ab-18bee18ff428","type":"ToolEvents"},{"attributes":{"formatter":{"id":"d2b1b10b-4ca8-4e72-926c-a9d851e6683d","type":"BasicTickFormatter"},"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"981e5f37-c7c5-418c-aa1e-e93ea887de32","type":"BasicTicker"}},"id":"19cc3081-6136-4d46-ab92-71c984c7304e","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b1ddc038-e0c3-4832-bb05-041f6388b721","type":"BoxAnnotation"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0b8339c9-a2da-42d4-88c1-6a88704aae63","type":"Line"},{"attributes":{},"id":"a8acafc5-1c3d-4859-a413-f087a5a7491d","type":"LinearScale"},{"attributes":{"callback":null},"id":"3a0cd345-dc9b-4104-a08d-ecda9c351934","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"ilHDXxHx5ED8eEuzEvHkQH3d6J7v8eRA+ObVxPDx5EB3gjiZL/LkQIepy+0w8uRAxNTl9jHy5EBSuB7F0PLkQNInfRLS8uRA4lnRSNPy5EAEh7RMsfPkQA502oCy8+RALs3Bi7Pz5EA=","dtype":"float64","shape":[13]},"y":{"__ndarray__":"IiIiIiIiPUAREREREVE8QO/u7u7uLjpA7+7u7u4uREDe3d3d3V1DQFVVVVVVlTpAmpmZmZkZQEAAAAAAAEBAQKuqqqqqykBAmpmZmZmZOkCamZmZmVk6QBERERERETtARERERESEPUA=","dtype":"float64","shape":[13]}}},"id":"43924474-afa5-4fef-86f5-93d1553938bf","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"57c511c7-c1e1-4709-8b05-b34ca482621e","type":"PanTool"},{"id":"c884f7ac-097a-4065-aa41-2fef2742c460","type":"WheelZoomTool"},{"id":"7fb6812e-41a1-42ac-9806-49d054077cc9","type":"BoxZoomTool"},{"id":"7553bed3-67a5-47a6-bf14-6e5d68de9ba0","type":"SaveTool"},{"id":"3cfd5eb4-4ac0-48ea-98f2-4b3b260c277a","type":"ResetTool"},{"id":"4d817ee7-b127-46d4-ac1e-337d3563a6ce","type":"HelpTool"}]},"id":"99701208-24d4-4fd7-a9e0-9ca50fce91e6","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0d2dbfa3-9751-4f5b-aaa0-b75932bc1618","type":"PanTool"},{"id":"96756633-225a-4649-bc49-8b41aec54fd4","type":"WheelZoomTool"},{"id":"cde00bb4-c2cd-4264-86bb-7c76e23b3181","type":"BoxZoomTool"},{"id":"ffa1c82d-7da9-47c6-9397-4ffeed62a554","type":"SaveTool"},{"id":"ab060a9d-24ff-45b6-ba02-7600d941a34b","type":"ResetTool"},{"id":"296729c2-4ad9-41ea-950c-55962d3d95a7","type":"HelpTool"}]},"id":"3acee6c8-631c-4871-b799-0dab632878cf","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"gkNaxgzx5EAb6LTBDvHkQCMB3/wP8eRA0V5C+8/x5EDL+NBT0fHkQJGW8aHS8eRAqdausRDy5EDv4y1NEvLkQM+VB2TM8uRAmLrcfs7y5EDfvJp4z/LkQASHtEyx8+RADnTagLLz5EAuzcGLs/PkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"q6qqqqoqREC8u7u7u5tBQImIiIiI6ERAAAAAAACgQEAAAAAAAMBDQM3MzMzMDD5A7+7u7u7uRUBmZmZmZsZCQLy7u7u7m0FAmpmZmZkZOEAREREREVFCQJqZmZmZWTpAERERERERO0BERERERIQ9QA==","dtype":"float64","shape":[14]}}},"id":"5e27c311-4af1-4acd-a57f-1ac5c3acc1b7","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"c65be2e1-d7ee-4a4c-9c90-f5b1b31f943a","type":"LinearAxis"}],"left":[{"id":"19cc3081-6136-4d46-ab92-71c984c7304e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c65be2e1-d7ee-4a4c-9c90-f5b1b31f943a","type":"LinearAxis"},{"id":"2dda303f-ce8e-4dae-a292-4fefa121db98","type":"Grid"},{"id":"19cc3081-6136-4d46-ab92-71c984c7304e","type":"LinearAxis"},{"id":"c8503443-9a21-41b0-958b-a235b61d8e1c","type":"Grid"},{"id":"0e6b1988-b6dc-4401-a25d-8a417ee5be4e","type":"BoxAnnotation"},{"id":"453fbc25-0292-406c-89a2-84beecb73f0d","type":"GlyphRenderer"}],"title":{"id":"d561d539-bc42-4b2a-86e7-452cfb71426e","type":"Title"},"tool_events":{"id":"b7a9a928-df0c-4e30-a093-43ba5d3065c1","type":"ToolEvents"},"toolbar":{"id":"99701208-24d4-4fd7-a9e0-9ca50fce91e6","type":"Toolbar"},"x_range":{"id":"9940e580-6816-4887-8355-0728c504ffa8","type":"DataRange1d"},"x_scale":{"id":"b43f78c8-dee8-4a0c-a4c6-09ae470825ff","type":"LinearScale"},"y_range":{"id":"246252e3-a292-4294-98fd-e6518c5f1093","type":"DataRange1d"},"y_scale":{"id":"a8acafc5-1c3d-4859-a413-f087a5a7491d","type":"LinearScale"}},"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"27d3aa00-67f7-4da2-9941-bb8dacd49814","type":"ColumnDataSource"},"glyph":{"id":"d9269847-0e40-4df1-afbf-0b3100ae401f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d89a62e1-0a05-4976-82ff-aa28de95a756","type":"Line"},"selection_glyph":null},"id":"8efa67ed-3e63-4347-a5b1-6a8fab6860ac","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e04aba0-5210-49e0-9e9b-ba4467a60c04","type":"Line"},{"attributes":{},"id":"b7a9a928-df0c-4e30-a093-43ba5d3065c1","type":"ToolEvents"},{"attributes":{"plot":null,"text":""},"id":"38da771c-651a-437d-bb6d-263ddd714c98","type":"Title"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e8dacabc-149c-4242-83ce-cc62e0e8193c","type":"Line"},{"attributes":{"callback":null},"id":"6181c46f-59a7-407f-941a-bbe6e7bf9cce","type":"DataRange1d"},{"attributes":{},"id":"a0cd726f-cb05-484a-bfe9-bbe025182903","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4882839d-8fa8-4324-bf97-4023122f5806","type":"Line"},{"attributes":{},"id":"d7b9e409-4c74-4754-a262-54bc0a002294","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"gkNaxgzx5EAb6LTBDvHkQCMB3/wP8eRAlDMo8gzy5EAC1Pt4DvLkQJChsoMP8uRA1AY6ra/y5EAEh7QMsfLkQPN1o3uy8uRALeNDj+zy5EAGUO9j7vLkQHPwwmqs8+RAju75767z5EDQaQNdsPPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"q6qqqqoqREC8u7u7u5tBQImIiIiI6ERAzczMzMysQEDe3d3d3V09QCIiIiIiojhAREREREQEREDe3d3d3b1GQBERERER8UBAAAAAAABAP0AREREREZE9QGZmZmZmxkNAREREREREREDNzMzMzIw4QA==","dtype":"float64","shape":[14]}}},"id":"5c25160b-5647-4caf-93da-e7bb56332136","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"052f3e83-a961-4403-8f8c-209b5a924a92","type":"HelpTool"},{"attributes":{"callback":null},"id":"9940e580-6816-4887-8355-0728c504ffa8","type":"DataRange1d"},{"attributes":{},"id":"75bade1e-cdde-41c3-a1f2-29b65bc307d8","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"ae7d3337-ee38-419d-9add-204231c4db8d","type":"LinearAxis"}],"left":[{"id":"49ad0128-ddfe-44a9-a3f9-c8c031e7867a","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"ae7d3337-ee38-419d-9add-204231c4db8d","type":"LinearAxis"},{"id":"731d2e54-9bf2-4dd4-8a5d-ad6090e1a81d","type":"Grid"},{"id":"49ad0128-ddfe-44a9-a3f9-c8c031e7867a","type":"LinearAxis"},{"id":"e47f81c5-d251-42f9-a322-994a41b25705","type":"Grid"},{"id":"359e6c69-18cc-45ad-a5d8-82df21bf9066","type":"BoxAnnotation"},{"id":"22bd3837-3c7e-484e-aa50-1196c7081045","type":"GlyphRenderer"}],"title":{"id":"7a7cd736-5b83-4e61-8ed0-d000d62f2ceb","type":"Title"},"tool_events":{"id":"a3801b41-8638-410d-90a4-ff5262e7c961","type":"ToolEvents"},"toolbar":{"id":"5222decf-ae3e-4211-8d10-caa4e603cdcd","type":"Toolbar"},"x_range":{"id":"ef3dce82-5b1f-40f2-9068-39f77ee2c26e","type":"DataRange1d"},"x_scale":{"id":"b18f8179-c450-4d87-8383-b64ffdaddcd2","type":"LinearScale"},"y_range":{"id":"c5b92a2a-c85c-4e36-b45e-d52d959c02c8","type":"DataRange1d"},"y_scale":{"id":"b6242852-b257-4b5c-83f3-bbd6d391da05","type":"LinearScale"}},"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"6d92cb61-fdcd-4039-84a7-ff05639ce961","type":"BasicTickFormatter"},"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"},"ticker":{"id":"95edb8ef-e28a-440b-81b6-2654b1870a85","type":"BasicTicker"}},"id":"ab28df9e-808a-415c-a9ee-bc59caf61498","type":"LinearAxis"},{"attributes":{},"id":"95edb8ef-e28a-440b-81b6-2654b1870a85","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"c/DCqi/x5ECUSar1MPHkQIJOG6jM8eRAkmrtWs7x5ECp1q6xEPLkQO/jLU0S8uRALeNDj+zy5EAGUO9j7vLkQOUMihzQ8+RAECeTlNHz5EA=","dtype":"float64","shape":[10]},"y":{"__ndarray__":"7+7u7u7OQEDe3d3d3b1GQM3MzMzMjDxAiYiIiIgoSEDv7u7u7u5FQGZmZmZmxkJAAAAAAABAP0AREREREZE9QBERERERkUVAZmZmZmYmPkA=","dtype":"float64","shape":[10]}}},"id":"8c0306c0-9653-4650-8ae2-90dc5e4496fa","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"},"ticker":{"id":"95edb8ef-e28a-440b-81b6-2654b1870a85","type":"BasicTicker"}},"id":"59de7f9b-030d-41ba-bba7-202a8b362d94","type":"Grid"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d9269847-0e40-4df1-afbf-0b3100ae401f","type":"Line"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"6a4c32ba-cdc5-46d7-a826-820f7eb8a32e","type":"PanTool"},{"attributes":{"formatter":{"id":"75bade1e-cdde-41c3-a1f2-29b65bc307d8","type":"BasicTickFormatter"},"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb14f041-834f-4da2-9ef4-b6894206d139","type":"BasicTicker"}},"id":"6f4c5ad5-f5ab-4fbc-9963-444d8332c484","type":"LinearAxis"},{"attributes":{},"id":"bb14f041-834f-4da2-9ef4-b6894206d139","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb14f041-834f-4da2-9ef4-b6894206d139","type":"BasicTicker"}},"id":"6ea85db3-9561-4aaa-a651-8e0981d81957","type":"Grid"},{"attributes":{},"id":"6d92cb61-fdcd-4039-84a7-ff05639ce961","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQIJOG6jM8eRAkmrtWs7x5ECUMyjyDPLkQALU+3gO8uRAkKGygw/y5EDPlQdkzPLkQJi63H7O8uRA37yaeM/y5EDlAcn6jPPkQMhbmoOO8+RAex9vKZDz5EA=","dtype":"float64","shape":[13]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QM3MzMzMjDxAiYiIiIgoSEDNzMzMzKxAQN7d3d3dXT1AIiIiIiKiOEC8u7u7u5tBQJqZmZmZGThAERERERFRQkBmZmZmZsZAQCIiIiIiIktAiYiIiIjIQkA=","dtype":"float64","shape":[13]}}},"id":"394170eb-e47d-4c00-af4d-70b6a4e21d13","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1002100037,1002100044,1002100118,1002100125,1002110028,1002110037,1002110038,1002110141,1002110157,1002110158,1002140019,1002140025,1002140057,1002140072],"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"27d3aa00-67f7-4da2-9941-bb8dacd49814","type":"ColumnDataSource"},{"attributes":{},"id":"64ce4541-8f3d-424b-8826-4801470cd7f7","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9fa2e8b8-2831-4a25-a2b8-eef544ce7688","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"a93e690c-fefa-487d-89ed-ca0397fb0d6b","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"0d2dbfa3-9751-4f5b-aaa0-b75932bc1618","type":"PanTool"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"96756633-225a-4649-bc49-8b41aec54fd4","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"9fa2e8b8-2831-4a25-a2b8-eef544ce7688","type":"BoxAnnotation"},"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"cde00bb4-c2cd-4264-86bb-7c76e23b3181","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"ffa1c82d-7da9-47c6-9397-4ffeed62a554","type":"SaveTool"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"ab060a9d-24ff-45b6-ba02-7600d941a34b","type":"ResetTool"},{"attributes":{"overlay":{"id":"b1ddc038-e0c3-4832-bb05-041f6388b721","type":"BoxAnnotation"},"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"}},"id":"e067be70-9cf1-46d8-b065-c8d62795d5d1","type":"BoxZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd0f3e51-fa23-4b84-8249-0aac6598deb9","type":"Line"},{"attributes":{"plot":{"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"}},"id":"296729c2-4ad9-41ea-950c-55962d3d95a7","type":"HelpTool"},{"attributes":{},"id":"9fcbdf6f-ab91-4158-8acd-0b8250de9eed","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3cdcf002-c012-441c-9985-007d61e3cf72","type":"Line"},{"attributes":{"callback":null},"id":"8d4faaf4-f96d-4c3b-ae13-fa9e280806b7","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"981e5f37-c7c5-418c-aa1e-e93ea887de32","type":"BasicTicker"}},"id":"c8503443-9a21-41b0-958b-a235b61d8e1c","type":"Grid"},{"attributes":{"below":[{"id":"045b9a6a-43bc-46a3-849b-51edd84e4138","type":"LinearAxis"}],"left":[{"id":"461098d3-e4a5-4557-9ff4-81832e263b15","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"045b9a6a-43bc-46a3-849b-51edd84e4138","type":"LinearAxis"},{"id":"5aa9104b-99a4-4e5c-8193-64a04bd83e0e","type":"Grid"},{"id":"461098d3-e4a5-4557-9ff4-81832e263b15","type":"LinearAxis"},{"id":"da2f34cb-6f30-45aa-833a-45455bd6cce5","type":"Grid"},{"id":"8fdb5b38-2ad9-4a33-ba24-6ebfa074f242","type":"BoxAnnotation"},{"id":"dd5b0b6c-9ee0-40d8-a170-c0f705702c50","type":"GlyphRenderer"}],"title":{"id":"73d802ca-85e9-4a45-b14e-f6474f27d866","type":"Title"},"tool_events":{"id":"463d8e0e-271c-41dd-89ea-075b7cd4838f","type":"ToolEvents"},"toolbar":{"id":"e0d9f510-57db-4fe2-8290-5e138ae0a527","type":"Toolbar"},"x_range":{"id":"debb9479-c338-4457-aa30-5adfa22650b7","type":"Range1d"},"x_scale":{"id":"506b8d21-fcb7-4b8f-993d-ccf84e6626a6","type":"LinearScale"},"y_range":{"id":"b37124b5-225a-4893-95a5-e422d5786637","type":"DataRange1d"},"y_scale":{"id":"493f73e0-13ee-451c-8ac1-f410b7fb2b66","type":"LinearScale"}},"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6a4c32ba-cdc5-46d7-a826-820f7eb8a32e","type":"PanTool"},{"id":"a93e690c-fefa-487d-89ed-ca0397fb0d6b","type":"WheelZoomTool"},{"id":"e067be70-9cf1-46d8-b065-c8d62795d5d1","type":"BoxZoomTool"},{"id":"4809c47d-2ac3-41bb-96dc-6be8889ca843","type":"SaveTool"},{"id":"9c488037-a679-4b94-bb48-818318268c3b","type":"ResetTool"},{"id":"052f3e83-a961-4403-8f8c-209b5a924a92","type":"HelpTool"}]},"id":"12f609b4-64d6-4792-b683-13c55d805499","type":"Toolbar"},{"attributes":{"below":[{"id":"b68e0c32-d7e9-4dbe-acd4-eba325f6bc38","type":"LinearAxis"}],"left":[{"id":"01322ef5-a75b-4428-b346-8fee8047f1cf","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"b68e0c32-d7e9-4dbe-acd4-eba325f6bc38","type":"LinearAxis"},{"id":"e1bd961f-7aa6-4ce6-938f-2602f74e8a00","type":"Grid"},{"id":"01322ef5-a75b-4428-b346-8fee8047f1cf","type":"LinearAxis"},{"id":"3f6ae390-6ae8-4dc0-8c88-aafcf8186989","type":"Grid"},{"id":"b418744e-25ca-4973-9ee4-f7440066e211","type":"BoxAnnotation"},{"id":"62dfd4d9-bfb0-4176-8724-31d94c322941","type":"GlyphRenderer"}],"title":{"id":"5c470ae2-43f8-4f7a-b2c2-b3cc0b7d673d","type":"Title"},"tool_events":{"id":"81f80405-4a45-490d-9546-3d648f6fbff6","type":"ToolEvents"},"toolbar":{"id":"a635cdff-cd77-4f91-b6e3-8979f0df0814","type":"Toolbar"},"x_range":{"id":"6304e37f-17a1-42ab-bdff-5cae11228ced","type":"DataRange1d"},"x_scale":{"id":"890bffcd-af9e-457b-af4d-9aadf205ce3c","type":"LinearScale"},"y_range":{"id":"eeb09c16-ad4a-43df-b123-09aefc20705d","type":"DataRange1d"},"y_scale":{"id":"061674e8-22bb-42b9-ba80-ed5f35c40a6b","type":"LinearScale"}},"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"64c33b9b-f7dc-4db4-9a92-0c181e98b9de","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"1db9b376-ffb6-4143-9890-b50dab9efa7f","type":"Title"},{"attributes":{"callback":null},"id":"1a06741c-4ae4-4bf8-9d70-70651404b2d6","type":"DataRange1d"},{"attributes":{"formatter":{"id":"64ce4541-8f3d-424b-8826-4801470cd7f7","type":"BasicTickFormatter"},"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b4f191b-9dcc-476c-b3af-c5edf6e52fb6","type":"BasicTicker"}},"id":"ae54b7f9-b09d-4949-8c4d-1632bf174d4b","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"30130e51-a6ac-4fc2-93ad-4f101939ea3b","type":"BasicTicker"}},"id":"2dd32f47-806b-4909-8d78-5aea4ff83e05","type":"Grid"},{"attributes":{},"id":"30130e51-a6ac-4fc2-93ad-4f101939ea3b","type":"BasicTicker"},{"attributes":{},"id":"9b4f191b-9dcc-476c-b3af-c5edf6e52fb6","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1002100037,1002100044,1002100118,1002100125,1002110028,1002110037,1002110038,1002110141,1002110157,1002110158,1002140019,1002140025,1002140057,1002140072],"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"edaae161-70f5-4f33-a05e-43f191cf867a","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"9fcbdf6f-ab91-4158-8acd-0b8250de9eed","type":"BasicTickFormatter"},"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"30130e51-a6ac-4fc2-93ad-4f101939ea3b","type":"BasicTicker"}},"id":"dd7c45e4-ad37-4317-9abc-c3dea43bf33e","type":"LinearAxis"},{"attributes":{"plot":{"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b4f191b-9dcc-476c-b3af-c5edf6e52fb6","type":"BasicTicker"}},"id":"f1d3edbd-a56c-448b-91e2-7476f7dab2d3","type":"Grid"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad4c8a2c-64ec-48ee-b1b1-6d8cbe02b00d","type":"Line"},{"attributes":{"data_source":{"id":"f15d3d44-e48d-44b6-b1db-72be391366a3","type":"ColumnDataSource"},"glyph":{"id":"ad4c8a2c-64ec-48ee-b1b1-6d8cbe02b00d","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"879c4537-98cc-48a2-a4a0-9066ef14cbd5","type":"Line"},"selection_glyph":null},"id":"aeaf7564-0794-4986-9cfc-5a3501fe319c","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"879c4537-98cc-48a2-a4a0-9066ef14cbd5","type":"Line"},{"attributes":{},"id":"941bfb69-4cd8-4473-9c40-39a79331e0e0","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQHPwwqov8eRAlEmq9TDx5EDRXkL7z/HkQMv40FPR8eRAkZbxodLx5EDUBjqtr/LkQASHtAyx8uRA9HWje7Ly5EC5/UGGkfPkQEKGys6S8+RAS4lyxszz5EAhQ2WHzvPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"f15d3d44-e48d-44b6-b1db-72be391366a3","type":"ColumnDataSource"},{"attributes":{},"id":"4d226776-1158-4112-81b0-9d6d3f8b95aa","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7766672-83a6-4ff8-8569-494218d6f3bb","type":"Line"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d226776-1158-4112-81b0-9d6d3f8b95aa","type":"BasicTicker"}},"id":"d9937cfc-f5b7-4851-96a8-260b5ab57d8b","type":"Grid"},{"attributes":{},"id":"00233e5a-d840-4090-b68b-2ae37c397838","type":"BasicTicker"},{"attributes":{"overlay":{"id":"0e6b1988-b6dc-4401-a25d-8a417ee5be4e","type":"BoxAnnotation"},"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"7fb6812e-41a1-42ac-9806-49d054077cc9","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"00233e5a-d840-4090-b68b-2ae37c397838","type":"BasicTicker"}},"id":"ecdf4eac-76ad-43db-b532-b086619f4382","type":"Grid"},{"attributes":{"line_color":{"value":"maroon"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0ee5adda-7f38-46aa-a375-7f0de922ad39","type":"Line"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0e6b1988-b6dc-4401-a25d-8a417ee5be4e","type":"BoxAnnotation"},{"attributes":{"callback":null,"end":43000,"start":42000},"id":"01e481be-b1cf-4ef5-9741-5c8b3a5bb443","type":"Range1d"},{"attributes":{"data_source":{"id":"f9e2e404-bc6a-47af-bfc6-00bd119c6c34","type":"ColumnDataSource"},"glyph":{"id":"a52804cb-4159-445e-b25b-5fee47252226","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"38255ce7-e360-4c78-a4fc-2c9634f8567b","type":"Line"},"selection_glyph":null},"id":"e9863408-31cb-4e9b-919d-3faf88d0b74e","type":"GlyphRenderer"},{"attributes":{},"id":"2820bcc4-a8c6-4f08-b50b-879ffc67dfd1","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a7242e16-a652-4182-bfbc-41ed8daddec2","type":"DataRange1d"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"409acc41-74f3-4bef-83c7-3bdeb84fc79d","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b4258ea9-a136-4667-8835-0ff828508cd4","type":"PanTool"},{"id":"faa5d818-d8f0-4d36-8942-35f2c45a7549","type":"WheelZoomTool"},{"id":"5c000518-b2c9-446f-bb6b-52e450b5dd0d","type":"BoxZoomTool"},{"id":"024d19af-fd11-4224-b915-6851aea2c3e8","type":"SaveTool"},{"id":"03412e87-6938-45af-b899-4ac092b28948","type":"ResetTool"},{"id":"166f0744-8fe9-4a3e-bce1-157891810350","type":"HelpTool"}]},"id":"77c59f2a-46d3-40de-aff9-8539da1d94c3","type":"Toolbar"},{"attributes":{"formatter":{"id":"7ea72402-9712-4dd3-9590-2d8724cff8f7","type":"BasicTickFormatter"},"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d226776-1158-4112-81b0-9d6d3f8b95aa","type":"BasicTicker"}},"id":"b1c2b78b-4377-4660-a878-3ed8b7fe2ac3","type":"LinearAxis"},{"attributes":{"formatter":{"id":"15daf419-f6d0-4c85-b2cb-93cbd44b5fe1","type":"BasicTickFormatter"},"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"10d30ac6-c18c-4ff1-b13f-d319d3dd12ce","type":"BasicTicker"}},"id":"045b9a6a-43bc-46a3-849b-51edd84e4138","type":"LinearAxis"},{"attributes":{},"id":"a120b132-6d04-490c-85f3-b9ab56000f3c","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e6eed5e0-6814-40ae-a890-9668deee24f6","type":"BasicTickFormatter"},"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"2820bcc4-a8c6-4f08-b50b-879ffc67dfd1","type":"BasicTicker"}},"id":"c65be2e1-d7ee-4a4c-9c90-f5b1b31f943a","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"704aee62-82f0-4fdd-b31a-cfa79645e849","type":"Title"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"3e2ceb16-cfdf-4a52-9dae-8334b3cd5668","type":"HelpTool"},{"attributes":{},"id":"b2515151-2187-4dbb-88d4-58b186df1350","type":"ToolEvents"},{"attributes":{},"id":"1289788b-033d-4fe1-8000-b6eb2c10eec0","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ede0e5d5-6882-47e7-b052-71e7ef38fa16","type":"Line"},{"attributes":{},"id":"0adef040-15a5-4fa5-ad65-f86387b29a52","type":"ToolEvents"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"cTJJ9Szx5EBi37GZLvHkQH3d6J7v8eRA+ObVxPDx5EAu2IKtLPLkQGoDnXYu8uRADZUdpqzy5EC3SolyrvLkQEuJcsbM8+RAIUNlh87z5EA=","dtype":"float64","shape":[10]},"y":{"__ndarray__":"ERERERFxQkCamZmZmVk7QO/u7u7uLjpA7+7u7u4uREDe3d3d3Z1AQJqZmZmZmTtAmpmZmZkZPUAzMzMzM7NBQO/u7u7uTkJA3t3d3d29RUA=","dtype":"float64","shape":[10]}}},"id":"d6a64abd-c5e5-48fb-b376-3cf4a144743c","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"c884f7ac-097a-4065-aa41-2fef2742c460","type":"WheelZoomTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d408f12c-86b9-452a-9190-9602e0e09fef","type":"Line"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"30ffbd3e-4b4c-4240-a5c1-35b51058701a","type":"ResetTool"},{"attributes":{},"id":"4b7332f2-07b8-4efb-a488-e0c061b17a77","type":"BasicTickFormatter"},{"attributes":{},"id":"a8ec1991-1da6-46d7-9114-3a57ef2c8303","type":"BasicTicker"},{"attributes":{},"id":"e18eebfc-c09c-4bab-a99c-94c9a71efbee","type":"ToolEvents"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQHPwwqov8eRAlEmq9TDx5EDRXkL7z/HkQMv40FPR8eRAkZbxodLx5EDUBjqtr/LkQASHtAyx8uRA9HWje7Ly5EC5/UGGkfPkQEKGys6S8+RAS4lyxszz5EAhQ2WHzvPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"7afe9f8f-d89e-4e96-8ae1-12e1ac945a8c","type":"ColumnDataSource"},{"attributes":{},"id":"79dbbf88-9020-461b-8c32-5e8409514864","type":"LinearScale"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"2820bcc4-a8c6-4f08-b50b-879ffc67dfd1","type":"BasicTicker"}},"id":"2dda303f-ce8e-4dae-a292-4fefa121db98","type":"Grid"},{"attributes":{"callback":null},"id":"3d50af07-0c4f-4906-abc3-4ea152b8dfa4","type":"DataRange1d"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4e6052c6-7ef2-49cf-964e-71aa258430b6","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"833503d9-81d5-483d-95dc-6c12af70c218","type":"PanTool"},{"id":"206b9c67-89f2-4080-aa96-29b8155802dc","type":"WheelZoomTool"},{"id":"cb26af20-1955-48d4-b8ec-1d6d90242bdc","type":"BoxZoomTool"},{"id":"ff405dd0-0f80-4161-9a64-9118dfc693a4","type":"SaveTool"},{"id":"ed7c5411-3a28-45a5-99e0-13b88baebc7c","type":"ResetTool"},{"id":"cdfe3988-8eeb-491e-87a2-9dac2c8eb35c","type":"HelpTool"}]},"id":"e0d9f510-57db-4fe2-8290-5e138ae0a527","type":"Toolbar"},{"attributes":{"data_source":{"id":"7afe9f8f-d89e-4e96-8ae1-12e1ac945a8c","type":"ColumnDataSource"},"glyph":{"id":"c8dac718-6dd7-4876-a51c-ba254ac9f593","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"83fbe845-9194-46c9-a7b9-d502f883be6a","type":"Line"},"selection_glyph":null},"id":"dd5b0b6c-9ee0-40d8-a170-c0f705702c50","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"12362bca-8bf2-40a9-8844-529d9232c211","type":"Line"},{"attributes":{},"id":"bcf5742c-c859-4d2e-adc2-8b07989bf2cd","type":"BasicTicker"},{"attributes":{},"id":"fb2fe0a0-899c-4945-94fe-abbd33765830","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"d561d539-bc42-4b2a-86e7-452cfb71426e","type":"Title"},{"attributes":{},"id":"3c5a245c-b0ff-490a-8b14-401985fb4ca3","type":"ToolEvents"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"},"ticker":{"id":"622ea4d7-669e-40b7-aca5-91f80d89324a","type":"BasicTicker"}},"id":"d7939444-255a-4f6a-90b0-4cf3a61e2013","type":"Grid"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"ff405dd0-0f80-4161-9a64-9118dfc693a4","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"},"ticker":{"id":"8eb3d9ba-9802-4bd0-a5bf-7225cf7399fb","type":"BasicTicker"}},"id":"e47f81c5-d251-42f9-a322-994a41b25705","type":"Grid"},{"attributes":{"callback":null},"id":"bd0823f7-2649-4b82-a4da-222b43c050c8","type":"DataRange1d"},{"attributes":{"data_source":{"id":"38a3160b-e4e4-4bd0-82c7-8b9e7bbd1dce","type":"ColumnDataSource"},"glyph":{"id":"4e6052c6-7ef2-49cf-964e-71aa258430b6","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c7766672-83a6-4ff8-8569-494218d6f3bb","type":"Line"},"selection_glyph":null},"id":"b5eecfe1-df32-46de-a50d-fc61b40b56d5","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"57c511c7-c1e1-4709-8b05-b34ca482621e","type":"PanTool"},{"attributes":{"overlay":{"id":"359e6c69-18cc-45ad-a5d8-82df21bf9066","type":"BoxAnnotation"},"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"1795611b-3b9b-440c-a3f1-504ed034ae23","type":"BoxZoomTool"},{"attributes":{},"id":"0e39066a-6974-4d12-858c-587d644231fb","type":"LinearScale"},{"attributes":{},"id":"463d8e0e-271c-41dd-89ea-075b7cd4838f","type":"ToolEvents"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"db2086ac-2fd8-403d-bd4f-93a319135860","type":"Line"},{"attributes":{"overlay":{"id":"ab457e31-702a-424a-a902-d218d1b6ac2b","type":"BoxAnnotation"},"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"5c000518-b2c9-446f-bb6b-52e450b5dd0d","type":"BoxZoomTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8dac718-6dd7-4876-a51c-ba254ac9f593","type":"Line"},{"attributes":{"formatter":{"id":"2230e9e1-6430-4863-b313-7d19a9c61c6d","type":"BasicTickFormatter"},"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"},"ticker":{"id":"622ea4d7-669e-40b7-aca5-91f80d89324a","type":"BasicTicker"}},"id":"81c42bde-3746-48e4-b618-c56f60db19d6","type":"LinearAxis"},{"attributes":{},"id":"493f73e0-13ee-451c-8ac1-f410b7fb2b66","type":"LinearScale"},{"attributes":{"callback":null,"end":43000,"start":42000},"id":"debb9479-c338-4457-aa30-5adfa22650b7","type":"Range1d"},{"attributes":{},"id":"e6eed5e0-6814-40ae-a890-9668deee24f6","type":"BasicTickFormatter"},{"attributes":{},"id":"eeb86ad8-d35a-4376-9dff-41c0684036b1","type":"LinearScale"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"10d30ac6-c18c-4ff1-b13f-d319d3dd12ce","type":"BasicTicker"}},"id":"5aa9104b-99a4-4e5c-8193-64a04bd83e0e","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b49e2369-0e1e-4b8c-9ea3-17fba955c7d9","type":"PanTool"},{"id":"673961da-db76-41c4-afc4-c7d26731b8cd","type":"WheelZoomTool"},{"id":"316df67d-0ddd-4d81-8440-802b2aa963a3","type":"BoxZoomTool"},{"id":"3f76e5f2-19ec-4837-8ca6-0727ddd267a7","type":"SaveTool"},{"id":"f79455f6-9cc6-42af-8574-8c98e5e037ff","type":"ResetTool"},{"id":"840e485a-3b71-4d11-85b4-3589e5f12813","type":"HelpTool"}]},"id":"e6ae7dab-25fd-4ff0-80fd-6c5016bce517","type":"Toolbar"},{"attributes":{"formatter":{"id":"4b7332f2-07b8-4efb-a488-e0c061b17a77","type":"BasicTickFormatter"},"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"},"ticker":{"id":"061d13a3-1492-46dc-b3cc-eabdbc21ad8e","type":"BasicTicker"}},"id":"98200bca-551c-4794-8425-6a67ef5db1b9","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ab708cef-d112-48aa-9337-9f4a867e4b34","type":"DataRange1d"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4a9089ba-2b3d-47fb-8597-ce46c1defe50","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"409acc41-74f3-4bef-83c7-3bdeb84fc79d","type":"PanTool"},{"id":"f37a727b-ae13-4ea7-b071-f583ee98fe36","type":"WheelZoomTool"},{"id":"3da392ae-aaa2-46e4-8b1a-57c731ee9fea","type":"BoxZoomTool"},{"id":"cf9bafa7-3012-4c45-a312-e04fdb58f55e","type":"SaveTool"},{"id":"f67a5e2e-e9e3-4644-81ee-0ea23e3ee1aa","type":"ResetTool"},{"id":"20ffd9be-4edd-4cf6-bbdc-9596458e6f15","type":"HelpTool"}]},"id":"0d97bfe6-5b4d-4f21-845b-c83981fcb9ff","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"bece6869-6bc3-4da7-a122-feff374300db","type":"Line"},{"attributes":{},"id":"622ea4d7-669e-40b7-aca5-91f80d89324a","type":"BasicTicker"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb2fe0a0-899c-4945-94fe-abbd33765830","type":"BasicTicker"}},"id":"4d4d8500-2e28-46da-81c7-1348ce75169b","type":"Grid"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"cf9bafa7-3012-4c45-a312-e04fdb58f55e","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"},"ticker":{"id":"061d13a3-1492-46dc-b3cc-eabdbc21ad8e","type":"BasicTicker"}},"id":"7e876f11-c6d2-470d-a42b-803480bb40de","type":"Grid"},{"attributes":{"formatter":{"id":"2c132ba3-e072-4438-bd00-c7c80098451d","type":"BasicTickFormatter"},"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb2fe0a0-899c-4945-94fe-abbd33765830","type":"BasicTicker"}},"id":"2cc7be7a-d917-41e1-a456-ea2250740079","type":"LinearAxis"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"f37a727b-ae13-4ea7-b071-f583ee98fe36","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ab457e31-702a-424a-a902-d218d1b6ac2b","type":"BoxAnnotation"},{"attributes":{},"id":"7ea72402-9712-4dd3-9590-2d8724cff8f7","type":"BasicTickFormatter"},{"attributes":{},"id":"a708aaca-064b-4932-a79f-082968056473","type":"LinearScale"},{"attributes":{},"id":"061d13a3-1492-46dc-b3cc-eabdbc21ad8e","type":"BasicTicker"},{"attributes":{},"id":"506b8d21-fcb7-4b8f-993d-ccf84e6626a6","type":"LinearScale"},{"attributes":{"data_source":{"id":"edaae161-70f5-4f33-a05e-43f191cf867a","type":"ColumnDataSource"},"glyph":{"id":"3cdcf002-c012-441c-9985-007d61e3cf72","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"db2086ac-2fd8-403d-bd4f-93a319135860","type":"Line"},"selection_glyph":null},"id":"cb192197-cef4-4be8-9a4b-0ee2ea50675e","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1002100037,1002100044,1002100118,1002100125,1002110028,1002110037,1002110038,1002110141,1002110157,1002110158,1002140019,1002140025,1002140057,1002140072],"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"4fee26a9-0af8-44b7-bfc5-6b81227c8e34","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"c5b92a2a-c85c-4e36-b45e-d52d959c02c8","type":"DataRange1d"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"ed7c5411-3a28-45a5-99e0-13b88baebc7c","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"beef1471-42d0-4cb3-a8c3-88bb4dfde94a","type":"Title"},{"attributes":{},"id":"ed1dae60-3b1e-46b1-b53e-b53f4ba37790","type":"LinearScale"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3cec57ed-f522-41eb-a084-0b410dcd85b0","type":"Line"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"ilHDXxHx5ED8eEuzEvHkQH3d6J7v8eRA+ObVxPDx5EB3gjiZL/LkQIepy+0w8uRAxNTl9jHy5EBSuB7F0PLkQNInfRLS8uRA4lnRSNPy5EAEh7RMsfPkQA502oCy8+RALs3Bi7Pz5EA=","dtype":"float64","shape":[13]},"y":{"__ndarray__":"IiIiIiIiPUAREREREVE8QO/u7u7uLjpA7+7u7u4uREDe3d3d3V1DQFVVVVVVlTpAmpmZmZkZQEAAAAAAAEBAQKuqqqqqykBAmpmZmZmZOkCamZmZmVk6QBERERERETtARERERESEPUA=","dtype":"float64","shape":[13]}}},"id":"e212c365-c95f-437a-87ef-447567c1e8fe","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"b4258ea9-a136-4667-8835-0ff828508cd4","type":"PanTool"},{"attributes":{},"id":"15daf419-f6d0-4c85-b2cb-93cbd44b5fe1","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3ced42b2-8b47-43a8-bf93-196bcde46f34","type":"Line"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"166f0744-8fe9-4a3e-bce1-157891810350","type":"HelpTool"},{"attributes":{},"id":"5af39961-1091-4129-b24c-feb1032a873d","type":"LinearScale"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"03412e87-6938-45af-b899-4ac092b28948","type":"ResetTool"},{"attributes":{"callback":null},"id":"80cd310b-02d0-43bf-b5e4-cd3187bdcbf1","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3e32d3fb-3cd7-40e9-9d01-1d3765f85927","type":"Line"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"7553bed3-67a5-47a6-bf14-6e5d68de9ba0","type":"SaveTool"},{"attributes":{},"id":"d2b1b10b-4ca8-4e72-926c-a9d851e6683d","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"4fee26a9-0af8-44b7-bfc5-6b81227c8e34","type":"ColumnDataSource"},"glyph":{"id":"3cec57ed-f522-41eb-a084-0b410dcd85b0","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"12362bca-8bf2-40a9-8844-529d9232c211","type":"Line"},"selection_glyph":null},"id":"bc140b6b-cc36-4bf4-99fb-526ee681bc79","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"f5faf342-5dc6-4952-9c8e-8be42714575a","type":"BasicTickFormatter"},"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8ec1991-1da6-46d7-9114-3a57ef2c8303","type":"BasicTicker"}},"id":"34ca41ab-b56a-4eca-9418-f20fb3d1bc67","type":"LinearAxis"},{"attributes":{},"id":"2230e9e1-6430-4863-b313-7d19a9c61c6d","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a46b032b-46f3-4c2f-8879-304ccf616dcd","type":"BoxAnnotation"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"38255ce7-e360-4c78-a4fc-2c9634f8567b","type":"Line"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1002100037,1002100044,1002100118,1002100125,1002110028,1002110037,1002110038,1002110141,1002110157,1002110158,1002140019,1002140025,1002140057,1002140072],"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"5d6e72d5-2190-46b0-a3e3-86b3aac86c08","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"024d19af-fd11-4224-b915-6851aea2c3e8","type":"SaveTool"},{"attributes":{"formatter":{"id":"96fc4be8-1119-44ff-9162-a332b6f0aac1","type":"BasicTickFormatter"},"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"00233e5a-d840-4090-b68b-2ae37c397838","type":"BasicTicker"}},"id":"9d5bd6db-09bc-4e3a-9401-ea0cecc03181","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8ec1991-1da6-46d7-9114-3a57ef2c8303","type":"BasicTicker"}},"id":"acd17049-6c40-4349-aaaf-d271aeaa04aa","type":"Grid"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"20ffd9be-4edd-4cf6-bbdc-9596458e6f15","type":"HelpTool"},{"attributes":{"data_source":{"id":"fe0be63f-c178-4c73-ab47-f886d69aad94","type":"ColumnDataSource"},"glyph":{"id":"4a9089ba-2b3d-47fb-8597-ce46c1defe50","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bece6869-6bc3-4da7-a122-feff374300db","type":"Line"},"selection_glyph":null},"id":"0f8268b4-62c3-4a6d-b7ad-35134aa1dc65","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"ae54b7f9-b09d-4949-8c4d-1632bf174d4b","type":"LinearAxis"}],"left":[{"id":"dd7c45e4-ad37-4317-9abc-c3dea43bf33e","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"ae54b7f9-b09d-4949-8c4d-1632bf174d4b","type":"LinearAxis"},{"id":"f1d3edbd-a56c-448b-91e2-7476f7dab2d3","type":"Grid"},{"id":"dd7c45e4-ad37-4317-9abc-c3dea43bf33e","type":"LinearAxis"},{"id":"2dd32f47-806b-4909-8d78-5aea4ff83e05","type":"Grid"},{"id":"b1ddc038-e0c3-4832-bb05-041f6388b721","type":"BoxAnnotation"},{"id":"aeaf7564-0794-4986-9cfc-5a3501fe319c","type":"GlyphRenderer"},{"id":"1adf37ea-73c1-4226-bfa6-bc18f8962011","type":"GlyphRenderer"},{"id":"0f8268b4-62c3-4a6d-b7ad-35134aa1dc65","type":"GlyphRenderer"},{"id":"e9863408-31cb-4e9b-919d-3faf88d0b74e","type":"GlyphRenderer"},{"id":"34d683f9-5821-4cd1-a413-9c896e27f787","type":"GlyphRenderer"},{"id":"ceccf8e8-cc56-4db1-9ecc-dfc0956162b6","type":"GlyphRenderer"},{"id":"ede399f3-92ee-4bd1-a6ea-da0b44eeeaa6","type":"GlyphRenderer"},{"id":"6f203c7c-2730-4cbd-9c88-caaa674e7fe9","type":"GlyphRenderer"},{"id":"97cb6c28-c626-4e39-bede-3fc7c79dd79c","type":"GlyphRenderer"},{"id":"4b3e8101-393c-4c10-9cab-a43872bd4bed","type":"GlyphRenderer"}],"title":{"id":"1db9b376-ffb6-4143-9890-b50dab9efa7f","type":"Title"},"tool_events":{"id":"e18eebfc-c09c-4bab-a99c-94c9a71efbee","type":"ToolEvents"},"toolbar":{"id":"12f609b4-64d6-4792-b683-13c55d805499","type":"Toolbar"},"x_range":{"id":"8d4faaf4-f96d-4c3b-ae13-fa9e280806b7","type":"DataRange1d"},"x_scale":{"id":"941bfb69-4cd8-4473-9c40-39a79331e0e0","type":"LinearScale"},"y_range":{"id":"1a06741c-4ae4-4bf8-9d70-70651404b2d6","type":"DataRange1d"},"y_scale":{"id":"64c33b9b-f7dc-4db4-9a92-0c181e98b9de","type":"LinearScale"}},"id":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"}},"id":"faa5d818-d8f0-4d36-8942-35f2c45a7549","type":"WheelZoomTool"},{"attributes":{},"id":"2449df0f-76ee-40df-a83b-dcee0563ac10","type":"ToolEvents"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"206b9c67-89f2-4080-aa96-29b8155802dc","type":"WheelZoomTool"},{"attributes":{},"id":"96fc4be8-1119-44ff-9162-a332b6f0aac1","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"cdfe3988-8eeb-491e-87a2-9dac2c8eb35c","type":"HelpTool"},{"attributes":{"formatter":{"id":"c194dedb-5fdc-45f4-9e45-7e40e7d55dcd","type":"BasicTickFormatter"},"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcf5742c-c859-4d2e-adc2-8b07989bf2cd","type":"BasicTicker"}},"id":"461098d3-e4a5-4557-9ff4-81832e263b15","type":"LinearAxis"},{"attributes":{"below":[{"id":"a46d14dd-8205-4a83-a3c1-561e05ce0061","type":"LinearAxis"}],"left":[{"id":"fbd7900b-0e66-4617-bed2-ff5cb9168b5b","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"a46d14dd-8205-4a83-a3c1-561e05ce0061","type":"LinearAxis"},{"id":"0bf43336-08c2-4c71-a608-2ff8a74b0cf2","type":"Grid"},{"id":"fbd7900b-0e66-4617-bed2-ff5cb9168b5b","type":"LinearAxis"},{"id":"742d72bb-8357-4b82-9e23-5d50888166b0","type":"Grid"},{"id":"4ae79289-c00d-48aa-93ba-29d261892629","type":"BoxAnnotation"},{"id":"cb192197-cef4-4be8-9a4b-0ee2ea50675e","type":"GlyphRenderer"}],"title":{"id":"6313f99b-c76b-4f7d-ab82-5a2093cceb11","type":"Title"},"tool_events":{"id":"3c5a245c-b0ff-490a-8b14-401985fb4ca3","type":"ToolEvents"},"toolbar":{"id":"e6ae7dab-25fd-4ff0-80fd-6c5016bce517","type":"Toolbar"},"x_range":{"id":"3d50af07-0c4f-4906-abc3-4ea152b8dfa4","type":"DataRange1d"},"x_scale":{"id":"49b2c84d-970b-4a16-b052-84d9555efaf1","type":"LinearScale"},"y_range":{"id":"cfe0522c-9a41-4796-a136-e7c78b885b89","type":"DataRange1d"},"y_scale":{"id":"a708aaca-064b-4932-a79f-082968056473","type":"LinearScale"}},"id":"8a78cc93-08d9-4fe0-b0ea-4abae87127ae","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8fdb5b38-2ad9-4a33-ba24-6ebfa074f242","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"4d817ee7-b127-46d4-ac1e-337d3563a6ce","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"359e6c69-18cc-45ad-a5d8-82df21bf9066","type":"BoxAnnotation"},{"attributes":{},"id":"10d30ac6-c18c-4ff1-b13f-d319d3dd12ce","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"73d802ca-85e9-4a45-b14e-f6474f27d866","type":"Title"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"o4a/De3w5ED1Pt7S7vDkQIwwgHrs8eRAwSzuhO7x5EAu2IKtLPLkQGoDnXYu8uRAUrgexdDy5EDSJ30S0vLkQOJZ0UjT8uRAc/DCaqzz5ECO7vnvrvPkQNBpA12w8+RA","dtype":"float64","shape":[12]},"y":{"__ndarray__":"REREREQERkBVVVVVVRU4QFVVVVVV9UFAzczMzMxMO0De3d3d3Z1AQJqZmZmZmTtAAAAAAABAQECrqqqqqspAQJqZmZmZmTpAZmZmZmbGQ0BEREREREREQM3MzMzMjDhA","dtype":"float64","shape":[12]}}},"id":"f9e2e404-bc6a-47af-bfc6-00bd119c6c34","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"81c42bde-3746-48e4-b618-c56f60db19d6","type":"LinearAxis"}],"left":[{"id":"98200bca-551c-4794-8425-6a67ef5db1b9","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"81c42bde-3746-48e4-b618-c56f60db19d6","type":"LinearAxis"},{"id":"d7939444-255a-4f6a-90b0-4cf3a61e2013","type":"Grid"},{"id":"98200bca-551c-4794-8425-6a67ef5db1b9","type":"LinearAxis"},{"id":"7e876f11-c6d2-470d-a42b-803480bb40de","type":"Grid"},{"id":"ab457e31-702a-424a-a902-d218d1b6ac2b","type":"BoxAnnotation"},{"id":"bc140b6b-cc36-4bf4-99fb-526ee681bc79","type":"GlyphRenderer"}],"title":{"id":"beef1471-42d0-4cb3-a8c3-88bb4dfde94a","type":"Title"},"tool_events":{"id":"0adef040-15a5-4fa5-ad65-f86387b29a52","type":"ToolEvents"},"toolbar":{"id":"77c59f2a-46d3-40de-aff9-8539da1d94c3","type":"Toolbar"},"x_range":{"id":"01e481be-b1cf-4ef5-9741-5c8b3a5bb443","type":"Range1d"},"x_scale":{"id":"0e39066a-6974-4d12-858c-587d644231fb","type":"LinearScale"},"y_range":{"id":"bd0823f7-2649-4b82-a4da-222b43c050c8","type":"DataRange1d"},"y_scale":{"id":"eeb86ad8-d35a-4376-9dff-41c0684036b1","type":"LinearScale"}},"id":"37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"a46b032b-46f3-4c2f-8879-304ccf616dcd","type":"BoxAnnotation"},"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"3da392ae-aaa2-46e4-8b1a-57c731ee9fea","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcf5742c-c859-4d2e-adc2-8b07989bf2cd","type":"BasicTicker"}},"id":"da2f34cb-6f30-45aa-833a-45455bd6cce5","type":"Grid"},{"attributes":{"line_color":{"value":"orange"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"a52804cb-4159-445e-b25b-5fee47252226","type":"Line"},{"attributes":{"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"833503d9-81d5-483d-95dc-6c12af70c218","type":"PanTool"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"a56f343b-2b74-499d-ba9f-f5644621559c","type":"Line"},{"attributes":{"data_source":{"id":"e212c365-c95f-437a-87ef-447567c1e8fe","type":"ColumnDataSource"},"glyph":{"id":"a56f343b-2b74-499d-ba9f-f5644621559c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3e32d3fb-3cd7-40e9-9d01-1d3765f85927","type":"Line"},"selection_glyph":null},"id":"7e190424-7633-40ed-86a1-b0bec20a4111","type":"GlyphRenderer"},{"attributes":{},"id":"4770a53c-0628-40ec-b40d-c98573190ef1","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b37124b5-225a-4893-95a5-e422d5786637","type":"DataRange1d"},{"attributes":{"plot":{"id":"07d36c98-95be-44a8-9c51-68cb30be37b7","subtype":"Figure","type":"Plot"}},"id":"f67a5e2e-e9e3-4644-81ee-0ea23e3ee1aa","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQHPwwqov8eRAlEmq9TDx5EDRXkL7z/HkQMv40FPR8eRAkZbxodLx5EDUBjqtr/LkQASHtAyx8uRA9HWje7Ly5EC5/UGGkfPkQEKGys6S8+RAS4lyxszz5EAhQ2WHzvPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"38a3160b-e4e4-4bd0-82c7-8b9e7bbd1dce","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"o4a/De3w5ED1Pt7S7vDkQHEySfUs8eRAYt+xmS7x5EB3gjiZL/LkQIepy+0w8uRAxNTl9jHy5EB2o3t+7/LkQGWdK8/w8uRAuf1BhpHz5EBChsrOkvPkQOUMihzQ8+RAECeTlNHz5EA=","dtype":"float64","shape":[13]},"y":{"__ndarray__":"REREREQERkBVVVVVVRU4QBERERERcUJAmpmZmZlZO0De3d3d3V1DQFVVVVVVlTpAmpmZmZkZQEDv7u7u7g5BQO/u7u7urjlAzczMzMxMPkCJiIiIiEg+QBERERERkUVAZmZmZmYmPkA=","dtype":"float64","shape":[13]}}},"id":"fe0be63f-c178-4c73-ab47-f886d69aad94","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"43924474-afa5-4fef-86f5-93d1553938bf","type":"ColumnDataSource"},"glyph":{"id":"3ced42b2-8b47-43a8-bf93-196bcde46f34","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ede0e5d5-6882-47e7-b052-71e7ef38fa16","type":"Line"},"selection_glyph":null},"id":"1adf37ea-73c1-4226-bfa6-bc18f8962011","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"83fbe845-9194-46c9-a7b9-d502f883be6a","type":"Line"},{"attributes":{"plot":{"id":"d857200d-e438-478d-a68d-36ac7b38a0e3","subtype":"Figure","type":"Plot"}},"id":"3cfd5eb4-4ac0-48ea-98f2-4b3b260c277a","type":"ResetTool"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"407e3f20-674c-4cf8-ba2c-592c80f7d486","type":"SaveTool"},{"attributes":{"overlay":{"id":"8fdb5b38-2ad9-4a33-ba24-6ebfa074f242","type":"BoxAnnotation"},"plot":{"id":"a0fe1a56-c648-4bfb-976a-8961b7b693b1","subtype":"Figure","type":"Plot"}},"id":"cb26af20-1955-48d4-b8ec-1d6d90242bdc","type":"BoxZoomTool"},{"attributes":{},"id":"c194dedb-5fdc-45f4-9e45-7e40e7d55dcd","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3a8c641d-59e8-4765-855a-97975eb6b86e","type":"Line"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"8e973230-3e4e-422a-9f9e-c5c4d1dfc45f","type":"WheelZoomTool"},{"attributes":{},"id":"49b2c84d-970b-4a16-b052-84d9555efaf1","type":"LinearScale"},{"attributes":{"data_source":{"id":"ccb29a1a-6886-43bf-887d-07927c96f34b","type":"ColumnDataSource"},"glyph":{"id":"3a8c641d-59e8-4765-855a-97975eb6b86e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec7e2fbd-3606-443d-83fa-1e32a5ca90a7","type":"Line"},"selection_glyph":null},"id":"62dfd4d9-bfb0-4176-8724-31d94c322941","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"b418744e-25ca-4973-9ee4-f7440066e211","type":"BoxAnnotation"},"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"f0713b39-9896-4060-8e2f-d9622fc2e2a8","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"a120b132-6d04-490c-85f3-b9ab56000f3c","type":"BasicTickFormatter"},"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"},"ticker":{"id":"84c6a0e2-fd47-4c36-937c-603670662eaa","type":"BasicTicker"}},"id":"ae7d3337-ee38-419d-9add-204231c4db8d","type":"LinearAxis"},{"attributes":{},"id":"e7626fa7-f3e0-4c50-af54-5809e0c0cc5b","type":"BasicTicker"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"},"ticker":{"id":"84c6a0e2-fd47-4c36-937c-603670662eaa","type":"BasicTicker"}},"id":"731d2e54-9bf2-4dd4-8a5d-ad6090e1a81d","type":"Grid"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8d05a580-3615-43be-8073-15f20711ee69","type":"Line"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"ef3f7d35-8fef-4df0-af24-747194c50ca3","type":"HelpTool"},{"attributes":{"formatter":{"id":"be8afc78-4943-4fd4-b2c7-cba51cdc3d80","type":"BasicTickFormatter"},"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac1c17c2-4077-45c3-b83f-b05678d524f7","type":"BasicTicker"}},"id":"b68e0c32-d7e9-4dbe-acd4-eba325f6bc38","type":"LinearAxis"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"e871d775-de72-43ad-861a-4702b726ea5f","type":"ResetTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd824480-0d71-4d97-b93b-0814eab62973","type":"Line"},{"attributes":{},"id":"890bffcd-af9e-457b-af4d-9aadf205ce3c","type":"LinearScale"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"0302cdfc-d97e-4302-a642-227f4324e007","type":"ResetTool"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"4bff0264-e398-40ef-93de-a9749b0f22f4","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"5c470ae2-43f8-4f7a-b2c2-b3cc0b7d673d","type":"Title"},{"attributes":{"below":[{"id":"ab28df9e-808a-415c-a9ee-bc59caf61498","type":"LinearAxis"}],"left":[{"id":"6f4c5ad5-f5ab-4fbc-9963-444d8332c484","type":"LinearAxis"}],"plot_height":400,"plot_width":700,"renderers":[{"id":"ab28df9e-808a-415c-a9ee-bc59caf61498","type":"LinearAxis"},{"id":"59de7f9b-030d-41ba-bba7-202a8b362d94","type":"Grid"},{"id":"6f4c5ad5-f5ab-4fbc-9963-444d8332c484","type":"LinearAxis"},{"id":"6ea85db3-9561-4aaa-a651-8e0981d81957","type":"Grid"},{"id":"9fa2e8b8-2831-4a25-a2b8-eef544ce7688","type":"BoxAnnotation"},{"id":"8efa67ed-3e63-4347-a5b1-6a8fab6860ac","type":"GlyphRenderer"}],"title":{"id":"38da771c-651a-437d-bb6d-263ddd714c98","type":"Title"},"tool_events":{"id":"2449df0f-76ee-40df-a83b-dcee0563ac10","type":"ToolEvents"},"toolbar":{"id":"3acee6c8-631c-4871-b799-0dab632878cf","type":"Toolbar"},"x_range":{"id":"3a0cd345-dc9b-4104-a08d-ecda9c351934","type":"DataRange1d"},"x_scale":{"id":"a0cd726f-cb05-484a-bfe9-bbe025182903","type":"LinearScale"},"y_range":{"id":"6181c46f-59a7-407f-941a-bbe6e7bf9cce","type":"DataRange1d"},"y_scale":{"id":"d7b9e409-4c74-4754-a262-54bc0a002294","type":"LinearScale"}},"id":"820b90c1-2fe2-44d5-a4df-6859f0530977","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"eeb09c16-ad4a-43df-b123-09aefc20705d","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"43824724-bd80-46fa-a0be-1a8bc843058e","type":"PanTool"},{"id":"8e973230-3e4e-422a-9f9e-c5c4d1dfc45f","type":"WheelZoomTool"},{"id":"f0713b39-9896-4060-8e2f-d9622fc2e2a8","type":"BoxZoomTool"},{"id":"df0d1f76-257b-4acd-ae24-eeb2b499fac7","type":"SaveTool"},{"id":"e871d775-de72-43ad-861a-4702b726ea5f","type":"ResetTool"},{"id":"fabaa657-6bf1-43fc-9cbc-818127a5a096","type":"HelpTool"}]},"id":"a635cdff-cd77-4f91-b6e3-8979f0df0814","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d76cdbc8-cfb3-4c4d-8df5-6efc30b57ea1","type":"Line"},{"attributes":{"plot":null,"text":""},"id":"7a7cd736-5b83-4e61-8ed0-d000d62f2ceb","type":"Title"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"43824724-bd80-46fa-a0be-1a8bc843058e","type":"PanTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"727b41b4-5fb7-43d7-9d92-63ab3ff5284d","type":"Line"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"1342328a-8afb-4e69-bf41-04c18d9c2a12","type":"PanTool"},{"attributes":{},"id":"061674e8-22bb-42b9-ba80-ed5f35c40a6b","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9878c020-7035-4ed4-8e06-7f4845c66227","type":"BoxAnnotation"},{"attributes":{},"id":"84c6a0e2-fd47-4c36-937c-603670662eaa","type":"BasicTicker"},{"attributes":{"data_source":{"id":"e0aacc3a-f931-446b-bd96-cb15eeb131df","type":"ColumnDataSource"},"glyph":{"id":"727b41b4-5fb7-43d7-9d92-63ab3ff5284d","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d76cdbc8-cfb3-4c4d-8df5-6efc30b57ea1","type":"Line"},"selection_glyph":null},"id":"b7d7e267-4ddd-49e2-ab10-94186ac63e00","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"d6a64abd-c5e5-48fb-b376-3cf4a144743c","type":"ColumnDataSource"},"glyph":{"id":"0ee5adda-7f38-46aa-a375-7f0de922ad39","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d8f13c16-54cf-4a6a-aaf7-ad0f8755c4f6","type":"Line"},"selection_glyph":null},"id":"4b3e8101-393c-4c10-9cab-a43872bd4bed","type":"GlyphRenderer"},{"attributes":{},"id":"b18f8179-c450-4d87-8383-b64ffdaddcd2","type":"LinearScale"},{"attributes":{},"id":"ac1c17c2-4077-45c3-b83f-b05678d524f7","type":"BasicTicker"},{"attributes":{"formatter":{"id":"cbc149d2-0214-4a66-8b72-6ff693504b3e","type":"BasicTickFormatter"},"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7626fa7-f3e0-4c50-af54-5809e0c0cc5b","type":"BasicTicker"}},"id":"01322ef5-a75b-4428-b346-8fee8047f1cf","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"ilHDXxHx5ED8eEuzEvHkQH3d6J7v8eRA+ObVxPDx5EB3gjiZL/LkQIepy+0w8uRAxNTl9jHy5EBSuB7F0PLkQNInfRLS8uRA4lnRSNPy5EAEh7RMsfPkQA502oCy8+RALs3Bi7Pz5EA=","dtype":"float64","shape":[13]},"y":{"__ndarray__":"IiIiIiIiPUAREREREVE8QO/u7u7uLjpA7+7u7u4uREDe3d3d3V1DQFVVVVVVlTpAmpmZmZkZQEAAAAAAAEBAQKuqqqqqykBAmpmZmZmZOkCamZmZmVk6QBERERERETtARERERESEPUA=","dtype":"float64","shape":[13]}}},"id":"e0aacc3a-f931-446b-bd96-cb15eeb131df","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"90f71951-9bb8-4172-8ea5-8953d516b12c","type":"PanTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ec7e2fbd-3606-443d-83fa-1e32a5ca90a7","type":"Line"},{"attributes":{},"id":"b6242852-b257-4b5c-83f3-bbd6d391da05","type":"LinearScale"},{"attributes":{"callback":null},"id":"ef3dce82-5b1f-40f2-9068-39f77ee2c26e","type":"DataRange1d"},{"attributes":{},"id":"cbc149d2-0214-4a66-8b72-6ff693504b3e","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7626fa7-f3e0-4c50-af54-5809e0c0cc5b","type":"BasicTicker"}},"id":"3f6ae390-6ae8-4dc0-8c88-aafcf8186989","type":"Grid"},{"attributes":{"callback":null},"id":"6304e37f-17a1-42ab-bdff-5cae11228ced","type":"DataRange1d"},{"attributes":{},"id":"8eb3d9ba-9802-4bd0-a5bf-7225cf7399fb","type":"BasicTicker"},{"attributes":{},"id":"be8afc78-4943-4fd4-b2c7-cba51cdc3d80","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"}},"id":"339adfeb-bc9b-41ee-8ecf-f18cefb2e67d","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac1c17c2-4077-45c3-b83f-b05678d524f7","type":"BasicTicker"}},"id":"e1bd961f-7aa6-4ce6-938f-2602f74e8a00","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b418744e-25ca-4973-9ee4-f7440066e211","type":"BoxAnnotation"},{"attributes":{},"id":"81f80405-4a45-490d-9546-3d648f6fbff6","type":"ToolEvents"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQHPwwqov8eRAlEmq9TDx5EDRXkL7z/HkQMv40FPR8eRAkZbxodLx5EDUBjqtr/LkQASHtAyx8uRA9HWje7Ly5EC5/UGGkfPkQEKGys6S8+RAS4lyxszz5EAhQ2WHzvPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"01c50726-b9ec-4945-a708-fef604be99d9","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"9e78ae33-4296-43e2-8206-38a03f4332be","type":"SaveTool"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"fabaa657-6bf1-43fc-9cbc-818127a5a096","type":"HelpTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d8f13c16-54cf-4a6a-aaf7-ad0f8755c4f6","type":"Line"},{"attributes":{"plot":{"id":"b0a73943-6cc8-434e-b221-8dc783512b87","subtype":"Figure","type":"Plot"}},"id":"df0d1f76-257b-4acd-ae24-eeb2b499fac7","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"9f417881-8673-49ff-aa63-9875edbba79b","type":"Line"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":{"__ndarray__":"kZbx4e/w5ECUMyhy8fDkQHPwwqov8eRAlEmq9TDx5EDRXkL7z/HkQMv40FPR8eRAkZbxodLx5EDUBjqtr/LkQASHtAyx8uRA9HWje7Ly5EC5/UGGkfPkQEKGys6S8+RAS4lyxszz5EAhQ2WHzvPkQA==","dtype":"float64","shape":[14]},"y":{"__ndarray__":"IiIiIiLCREBVVVVVVVU3QO/u7u7uzkBA3t3d3d29RkAAAAAAAKBAQAAAAAAAwENAzczMzMwMPkBERERERAREQN7d3d3dvUZAERERERHxQEDNzMzMzEw+QImIiIiISD5A7+7u7u5OQkDe3d3d3b1FQA==","dtype":"float64","shape":[14]}}},"id":"ccb29a1a-6886-43bf-887d-07927c96f34b","type":"ColumnDataSource"},{"attributes":{},"id":"b43f78c8-dee8-4a0c-a4c6-09ae470825ff","type":"LinearScale"},{"attributes":{"overlay":{"id":"9878c020-7035-4ed4-8e06-7f4845c66227","type":"BoxAnnotation"},"plot":{"id":"666b420d-027c-4df8-890a-0fab903ed462","subtype":"Figure","type":"Plot"}},"id":"aaa148f4-0fa3-4488-ac0c-7455e6c70541","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"4770a53c-0628-40ec-b40d-c98573190ef1","type":"BasicTickFormatter"},"plot":{"id":"e75be132-aaa6-494a-91df-7e27f5b49055","subtype":"Figure","type":"Plot"},"ticker":{"id":"8eb3d9ba-9802-4bd0-a5bf-7225cf7399fb","type":"BasicTicker"}},"id":"49ad0128-ddfe-44a9-a3f9-c8c031e7867a","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5d6e72d5-2190-46b0-a3e3-86b3aac86c08","type":"ColumnDataSource"},"glyph":{"id":"d408f12c-86b9-452a-9190-9602e0e09fef","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fd824480-0d71-4d97-b93b-0814eab62973","type":"Line"},"selection_glyph":null},"id":"22bd3837-3c7e-484e-aa50-1196c7081045","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"cfe0522c-9a41-4796-a136-e7c78b885b89","type":"DataRange1d"}],"root_ids":["d857200d-e438-478d-a68d-36ac7b38a0e3","8a78cc93-08d9-4fe0-b0ea-4abae87127ae","e75be132-aaa6-494a-91df-7e27f5b49055","820b90c1-2fe2-44d5-a4df-6859f0530977","37d9d3ef-07bd-4fd1-a45c-00aadc3eedd0","a0fe1a56-c648-4bfb-976a-8961b7b693b1","b0a73943-6cc8-434e-b221-8dc783512b87","666b420d-027c-4df8-890a-0fab903ed462","07d36c98-95be-44a8-9c51-68cb30be37b7","39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c"]},"title":"Bokeh Application","version":"0.12.6"}};
              var render_items = [{"docid":"8a7cedf6-0603-4bbf-a052-431d498a1410","elementid":"57ecf587-d3c8-4aa0-b7e2-29fbd962b754","modelid":"39ed8ed4-c1d1-456c-83ef-1e5c2d816f2c"}];
              
              Bokeh.embed.embed_items(docs_json, render_items);
            });
          };
          if (document.readyState != "loading") fn();
          else document.addEventListener("DOMContentLoaded", fn);
        })();
        
        </script>
    </body>
</html>